{
  "criteria": {
    "requirement": {
      "trigger": "minecraft:player_hurt_entity",
      "conditions": {
        "damage": {
          "type": {}
        },
        "player": {
          "equipment": {
            "mainhand": {
              "items": "minecraft:warped_fungus_on_a_stick"
            }
          }
        },
        "entity": {
          "type": "#main:enemies"
        }
      }
    }
  },
  "rewards": {
    "function": "main:mechanics/interaction/weapon/1"
  }
}